<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" href="/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <meta
      name="description"
      content="Web site created using create-react-app"
    />
    <link rel="apple-touch-icon" href="/logo192.png" />
    <link rel="manifest" href="/manifest.json" />
    <title>Reto 2</title>
  </head>
  <body>
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="root"></div>
    <div id="modal"></div>
    <script>
      if ('serviceWorker' in navigator) {
        //if the browser supports serviceWorkers
        window.addEventListener('load', function () {
          navigator.serviceWorker
          //registers the worker.js file you just made
            .register('worker.js')
            .then(
              function (registration) {
                console.log(
                  'Worker registration successful',
                  registration.scope
                );
              },
              function (err) {
                console.log('Worker registration failed', err);
              }
            )
            .catch(function (err) {
              console.log(err);
            });
        });
      } else {
        console.log('Service Worker is not supported by browser.');
      }
    </script>
  </body>
</html>
